Eclipse Platform Release 3.7

## org.eclipse.ui.navigator
Interface ICommonContentProvider

All Superinterfaces:
  IContentProvider, IMementoAware, IStructuredContentProvider, ITreeContentProvider

All Known Subinterfaces:
  IPipelinedTreeContentProvider, IPipelinedTreeContentProvider2

All Known Implementing Classes:
  AbstractSynchronizationContentProvider, SynchronizationContentProvider

    public interface ICommonContentProvider

extends ITreeContentProvider, IMementoAware

Allows extensions to vary their behavior based on properties in the extension model and the given memento. The state model should be initialized from values in the memento if necessary.

Clients should refer to the org.eclipse.ui.navigator.navigatorContent extension point for more information on building a content extension.

Clients may implement this interface if they require the methods defined here. `ITreeContentProvider` is respected by the Common Navigator.

Since:
  3.2

Method Summary
`void` `init(ICommonContentExtensionSite aConfig)` Initialize the content provider with the given configuration.

Methods inherited from interface org.eclipse.jface.viewers.ITreeContentProvider
`getChildren, getElements, getParent, hasChildren`

Methods inherited from interface org.eclipse.jface.viewers.IContentProvider
`dispose, inputChanged`

Methods inherited from interface org.eclipse.ui.navigator.IMementoAware
`restoreState, saveState`

Method Detail

### init

    void init(ICommonContentExtensionSite aConfig)

  Initialize the content provider with the given configuration.

  Parameters:
    `aConfig` - The extension site provides information that some extensions will find useful to configure themselves properly in a particular viewer.
  See Also:
    `ICommonLabelProvider`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.